<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1OverlayManager.html">OverlayManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::OverlayManager Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a1a73ce8b360346d2174a7be61d2ead7d">_queueOverlaysForRendering</a>(Camera *cam, RenderQueue *pQueue, Viewport *vp)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a8d755456d249ff80d469e9c3944d22ed">addOverlayElementFactory</a>(OverlayElementFactory *elemFactory)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#aef7dbde8bb2ecf9b8c44bd8974735c9f">cloneOverlayElementFromTemplate</a>(const String &amp;templateName, const String &amp;instanceName)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#ab6eb3dcc484ba5b06904ab2fb6b1aa23">create</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a58166a773d27c22437323e8ef710406b">createOverlayElement</a>(const String &amp;typeName, const String &amp;instanceName, bool isTemplate=false)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a093ac041b9750ba4d915b6c548d278aa">createOverlayElementFromFactory</a>(const String &amp;typeName, const String &amp;instanceName)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a242cf57b312d0d77e4023ce71be9aca1">createOverlayElementFromTemplate</a>(const String &amp;templateName, const String &amp;typeName, const String &amp;instanceName, bool isTemplate=false)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a1bbac03496a15f8f9603b68e80070c2c">createOverlayElementImpl</a>(const String &amp;typeName, const String &amp;instanceName, ElementMap &amp;elementMap)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a490ccc24cd1eda279e0bf349273598e8">destroy</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a9bb21fa10ec0c6e77b5eff13a9dccbe8">destroy</a>(Overlay *overlay)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#ae3677704d31fd65c47e8f1f27c38fae3">destroyAll</a>(void)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a24f13f48bd25f6792da795fe1c358bef">destroyAllOverlayElements</a>(bool isTemplate=false)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a1b8f8ee064b396bce89ac6160cbf797b">destroyAllOverlayElementsImpl</a>(ElementMap &amp;elementMap)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a05a2779ad3df1e83ce3bac230312e6ae">destroyOverlayElement</a>(const String &amp;instanceName, bool isTemplate=false)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a016873becb2951e90e8870203f036621">destroyOverlayElement</a>(OverlayElement *pInstance, bool isTemplate=false)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#ad63ffecb48bd1e95fa71ff237de8f05d">destroyOverlayElementImpl</a>(const String &amp;instanceName, ElementMap &amp;elementMap)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a40dda4b2eff03a51a5bfeb8de9b29edf">destroyOverlayElementImpl</a>(OverlayElement *pInstance, ElementMap &amp;elementMap)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#ac4a15031aa92fc3c3bbca7b4f42f5d00">ElementMap</a> typedef</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a63fb3637469aadf1627230f64bce2634">FactoryMap</a> typedef</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a7d3ddc6d094b72e4b6d0f74376a118a3">getByName</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#aae9461f3bfd36b651927933f25f58f90">getElementMap</a>(bool isTemplate)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a0fe98c5950e94bb2bbad458d751e817e">getLoadingOrder</a>(void) const </td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#afcece7239c9ef7cb83e55d05870f797d">getOverlayElement</a>(const String &amp;name, bool isTemplate=false)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a2303e91226eff70f3fe53cfdce9165bd">getOverlayElementFactoryMap</a>() const </td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a3cf68206137e3cc2b2230096dc6d4698">getOverlayElementImpl</a>(const String &amp;name, ElementMap &amp;elementMap)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a140ab8e9bc0e307c28b335406e45cef6">getOverlayIterator</a>(void)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a737c0c7db5f2d0049420c494129196c9">getScriptPatterns</a>(void) const </td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#ade527bdaf5edb3d9d080f3cf292cfca5">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#ace76368f6fa68ae0dad4547c7f4be25c">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a9e6ec516d1d52c5291d5f943fc843ab2">getTemplateIterator</a>()</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a5643de1c418c05bc50fea7c003a21a67">getViewportAspectRatio</a>(void) const </td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a57af3f65687201de011e7e64552d028e">getViewportHeight</a>(void) const </td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#ad54dbb70f999ba760aa37ac0c3fbf5ca">getViewportOrientationMode</a>(void) const </td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a30a74f2a6d609220b53007a19c0579d5">getViewportWidth</a>(void) const </td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#ac0393ce7d5f905fa81ab0bfd9e56655c">hasOverlayElement</a>(const String &amp;name, bool isTemplate=false)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#aee9749897d924ce445a5affacce009b6">hasOverlayElementImpl</a>(const String &amp;name, ElementMap &amp;elementMap)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#aed08da01b1d30c9ec612500b5ece35b9">hasViewportChanged</a>(void) const </td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#af80970f61eb0d6d20ec462f95f4e659a">isTemplate</a>(String strName) const </td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#aaf54987f95e1173a90dd264a39a2f614">LoadedScripts</a> typedef</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#adfd58dac2fb2627db482c02a618fed5b">mFactories</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#af9d93d29680706dbf485bdd6f797e199">mInstances</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a516490c9c5ff818a521520259586d0a3">mLastViewportHeight</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a1daaa9137ad38be6907ab14f20c95f37">mLastViewportOrientationMode</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a04e5656f23bd72e781bbc4bf83ab38bc">mLastViewportWidth</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a15d8218b76f778c37940a898f51acb37">mLoadedScripts</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#aa302492cbd16256240d4887440ec7bbb">mOverlayMap</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a04a9c072c6106a1a848b0a47c40a930f">mScriptPatterns</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; OverlayManager &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a8c29379ab04930b44b4d4cd7d4ed342f">mTemplates</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#ae10fee3d54d650aea1472151e7e3214f">mViewportDimensionsChanged</a></td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#af2079b7b61e8df96d67f852aa6de7dac">OverlayManager</a>()</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#aec8052ab3d18398120710bdc1cbcac98">OverlayMap</a> typedef</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a1d38898d1d08e945f186e2043444588d">OverlayMapIterator</a> typedef</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#aaf0b5faf59a556af71ef7b4b887d5381">parseAttrib</a>(const String &amp;line, Overlay *pOverlay)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#ab3fbeaf03da365270682e46a3ae13519">parseChildren</a>(DataStreamPtr &amp;chunk, const String &amp;line, Overlay *pOverlay, bool isTemplate, OverlayContainer *parent=NULL)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#afdce6f04e2e0097002caa4e3c40d3ecf">parseElementAttrib</a>(const String &amp;line, Overlay *pOverlay, OverlayElement *pElement)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a96e73cb47ca449c26db0d75dc6813d42">parseNewElement</a>(DataStreamPtr &amp;chunk, String &amp;elemType, String &amp;elemName, bool isContainer, Overlay *pOverlay, bool isTemplate, String templateName=String(&quot;&quot;), OverlayContainer *container=0)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#aceba4bfe36019ec756be252be387defc">parseScript</a>(DataStreamPtr &amp;stream, const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; OverlayManager &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#ae17f13ae9a34814b1c0ef76f1ae33ee3">skipToNextCloseBrace</a>(DataStreamPtr &amp;chunk)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a37796a5f2868d6aa127dcbd16fe1764a">skipToNextOpenBrace</a>(DataStreamPtr &amp;chunk)</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a8121ac9b766f9055bf52f5a30d52bd42">TemplateIterator</a> typedef</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OverlayManager.html#a1cd64a87fb0ab23c3163af27989d8005">~OverlayManager</a>()</td><td><a class="el" href="classOgre_1_1OverlayManager.html">Ogre::OverlayManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ScriptLoader.html#ad7758f66fa9246639426f3044478f709">~ScriptLoader</a>()</td><td><a class="el" href="classOgre_1_1ScriptLoader.html">Ogre::ScriptLoader</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; OverlayManager &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:00
</p>
</body>
</html>
